package ch.unige.solidify.converter;

import java.net.URI;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

import org.springframework.util.StringUtils;

@Converter(autoApply = true)
public class UriConverter implements AttributeConverter<URI, String> {

  @Override
  public String convertToDatabaseColumn(URI uri) {
    return (uri == null) ? null : uri.normalize().toString();
  }

  @Override
  public URI convertToEntityAttribute(String stringUri) {
    return (StringUtils.hasLength(stringUri) ? URI.create(stringUri.trim()) : null);
  }
}
