package ch.unige.solidify.message;

import ch.unige.solidify.rest.Resource;

public class ResourceCacheMessage extends CacheMessage {

  private static final long serialVersionUID = 1L;

  protected Class<? extends Resource<?>> resourceClass;
  private final String resId;

  /******************/

  @SuppressWarnings("unchecked")
  public ResourceCacheMessage(Class<?> clazz, String resId) {
    this.resourceClass = (Class<? extends Resource<?>>) clazz;
    this.resId = resId;

  }

  public String getResId() {
    return this.resId;
  }

  /******************/

  public Class<? extends Resource<?>> getResourceClass() {
    return this.resourceClass;
  }

  @Override
  public String toString() {
    return "CacheMessage [resourceClass=" + this.resourceClass.getSimpleName() + ", resId=" + this.resId
            + "]";
  }
}
